# class JBClusterStream | A cluster stream. More...
Full name | `TelEngine::JBClusterStream`
Definition | `#include <libs/yjabber/yatejabber.h>`
Inherits | TelEngine::JBStream [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- JBClusterStream (JBEngine* engine, Socket* socket)
- JBClusterStream (JBEngine* engine, const JabberID& local, const JabberID& remote, const NamedList* params = 0)
- virtual JBClusterStream* clusterStream ()

#### Protected Methods

- virtual XmlElement* buildStreamStart ()
- virtual bool processStart (const XmlElement* xml, const JabberID& from, const JabberID& to)
- virtual bool processRunning (XmlElement* xml, const JabberID& from, const JabberID& to)

## Detailed Description

This class holds a cluster stream

JBClusterStream (JBEngine* engine, Socket* socket) | ### JBClusterStream

Constructor. Build an incoming stream from a socket

Parameters:

engine | Engine owning this stream
socket | The socket

JBClusterStream (JBEngine* engine, const JabberID& local, const JabberID& remote, const NamedList* params = 0) | ### JBClusterStream

Constructor. Build an outgoing stream

Parameters:

engine | Engine owning this stream
local | Local party jabber id
remote | Remote party jabber id
params | Optional stream parameters

JBClusterStream* clusterStream () | ### clusterStream

[virtual]

Get a cluster stream from this one

Returns: JBClusterStream pointer

Reimplemented from JBStream.

XmlElement* buildStreamStart () | ### buildStreamStart

[protected virtual]

Build a stream start XML element

Returns: XmlElement pointer

Reimplemented from JBStream.

bool processStart (const XmlElement* xml, const JabberID& from, const JabberID& to) | ### processStart

[protected virtual]

Process stream start elements while waiting for them

Parameters:

xml | Received xml element
from | The 'from' attribute
to | The 'to' attribute

Returns: False if stream termination was initiated

Reimplemented from JBStream.

bool processRunning (XmlElement* xml, const JabberID& from, const JabberID& to) | ### processRunning

[protected virtual]

Process elements in Running state

Parameters:

xml | Received element (will be consumed)
from | Already parsed source JID
to | Already parsed destination JID

Returns: False if stream termination was initiated

Reimplemented from JBStream.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.